%if 0%{?suse_version} > 1210
%define with_systemd 1
%else
%define with_systemd 0
%endif

Name: 		    tvheadend
Summary: 	    A TV Streaming Server
License: 	    GPL-3.0
Url:		    https://tvheadend.org/
%if %{with_systemd}
%{?systemd_requires}
BuildRequires:  systemd
%endif
Group: 		    Productivity/Multimedia/Other
Version: 	    3.4
Release: 	    1.2
Source0: 	    %{name}-%{version}.tar.bz2
Source1:        %{name}.service
Patch0: 	    %{name}-3.2.18-no_werror.patch
BuildRoot: 	    %{_tmppath}/%{name}-buildroot
%define htsgroup video
%define htsuser hts
BuildRequires:  fdupes
BuildRequires:	pkgconfig
BuildRequires:  libavahi-devel
BuildRequires:  openssl-devel
BuildRequires:  python-devel

%description
A TV streaming server supporting DVB-S, DVB-S2, DVB-C, DVB-T, ATSC, IPTV,
and Analog video (V4L) as input sources.

It also comes with a powerful and easy to use web interface both used for
configuration and day-to-day operations, such as searching the EPG and
scheduling recordings.

%prep
%setup -q -n %name-%version
%patch0 -p1

%build
%configure --disable-dvbscan
make V=1

%install
%make_install
%if %{with_systemd}
install -D -m 644 %{SOURCE1} %{buildroot}/%{_unitdir}/%{name}.service
%endif
%fdupes -s %{buildroot}%{_datadir}
chmod -x %{buildroot}%{_mandir}/man1/tvheadend.1

%post
%if %{with_systemd}
%service_add_post %{name}.service
%endif
/usr/sbin/useradd -u 1337 -g %{htsgroup} -m -s /bin/false %{htsuser} &> /dev/null || :
/usr/sbin/passwd -l %{htsuser} &> /dev/null || :

cat << 'EOM'
  ==> All configuration is maintained through the web interface:
  ==>
  ==> http://localhost:9981/
  ==>
  ==> Default login without username/password.
EOM

%if %{with_systemd}
%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service
%endif

%files 
%defattr(-,root,root)
%_bindir/tvheadend
%_datadir/tvheadend
%_mandir/man1/tvheadend.1.gz
%if %{with_systemd}
%{_unitdir}/%{name}.service
%endif

%changelog
* Sat Jun  8 2013 p.drouand@gmail.com
- Update to version 3.4
- Clean and rebase specfile
- Add systemd service file to start automatically tvheadend daemon
  and add tvheadend to video group to get it usable by user
- Remove dvb-scan tables archive and pass --disable-dvbscan;
  It doesn't work correctly and is actually obsolete
- Remove tvheadend-3.2.18-dvbscan_data.patch; it's not needed anymore
- Fix executable manpage
* Sat Feb  2 2013 hvogel@opensuse.org
- Update to version 3.2.18
* Tue Mar 27 2012 hvogel@opensuse.org
- Don't build with Werror
- Add summary/description
* Fri Apr 22 2011 hvogel@opensuse.org
- Initial package, version 2.12
